### Hierarchy

- unknown
  - RevolutAccountPayload

## Index

### Constructors

- constructor

### Methods

- getAccountId
- getUserName
- serializeBinary
- setAccountId
- setUserName
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new RevolutAccountPayload(): RevolutAccountPayload

- Inherited from jspb.Message.constructor

  #### Returns RevolutAccountPayload

## Methods

### getAccountId

- getAccountId(): string

- - Defined in src/protobuf/pb_pb.d.ts:5226

  #### Returns string

### getUserName

- getUserName(): string

- - Defined in src/protobuf/pb_pb.d.ts:5229

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:5232

  #### Returns Uint8Array

### setAccountId

- setAccountId(value: string): RevolutAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5227

  #### Parameters

  - ##### value: string

  #### Returns RevolutAccountPayload

### setUserName

- setUserName(value: string): RevolutAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5230

  #### Parameters

  - ##### value: string

  #### Returns RevolutAccountPayload

### toObject

- toObject(includeInstance?: boolean): RevolutAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:5233

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns RevolutAccountPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): RevolutAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5236

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RevolutAccountPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RevolutAccountPayload, reader: BinaryReader): RevolutAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5237

  #### Parameters

  - ##### message: RevolutAccountPayload

  - ##### reader: BinaryReader

  #### Returns RevolutAccountPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: RevolutAccountPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:5235

  #### Parameters

  - ##### message: RevolutAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: RevolutAccountPayload ): RevolutAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:5234

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RevolutAccountPayload

  #### Returns RevolutAccountPayload . AsObject

Generated using TypeDoc